/*
 * Created on Dec 29, 2004
 */
package it.dtt.ca.event;

/**
 * This interface provide notification of event related to smart card status
 * 
 */
public interface SmartCardListener {
    /**
     * Invoked when the specified event was retrieved.
     *
     * @param creditsEvent the received event
     */
    void creditsEventReceived(CreditsEvent creditsEvent);

    /**
     * Invoked when the specified event was retrieved.
     *
     * @param historyUpdateEvent the received event
     */
    void historyUpdateEventReceived(HistoryUpdateEvent historyUpdateEvent);

    /**
     * Invoked when the specified event was retrieved.
     *
     * @param smartCardStatusEvent the received event
     */
    void smartCardStatusEventReceived(SmartCardStatusEvent smartCardStatusEvent);

}