package it.dtt.ca.exception;

/**
 * This exception notifies the application that the requested operation failed
 * because there is no smart card in the given slot
 */
public class CardNotFoundException extends CAException {

    /**
     * Constructs the exception.
     */
    public CardNotFoundException() {
    }

    /**
     * Construct the exception with a message.
     *
     * @param message the detail message. The detail message is saved for later retrieval by the Throwable.getMessage() method.
     */
    public CardNotFoundException(String message) {
    }
}