package it.dtt.ca.exception;

/**
 * This exception is used to notify that some bad parameters are set for the
 * connection to the server for credit recharge.
 * 
 */

public class InvalidRcParametersException extends CAException {
    /**
     * Constructs the exception.
     */
    public InvalidRcParametersException() {
    }

    /**
     * Construct the exception with a message.
     *
     * @param message the detail message. The detail message is saved for later retrieval by the Throwable.getMessage() method.
     */
    public InvalidRcParametersException(String message) {
    }

}