package it.dtt.ca.exception;

/**
 * Exception thrown when some invalid data is given to initialize a recharge via return channel.
 * Examples of invalid parameters that can cause this exception are: an empty PIN, a wrong
 * scratch card number, a missing credit card information detail.
 * 
 */

public class InvalidTransactionDataException extends CAException {

    /**
     * Constructs the exception.
     */
    public InvalidTransactionDataException() {
    }

    /**
     * Construct the exception with a message.
     *
     * @param message the detail message. The detail message is saved for later retrieval by the Throwable.getMessage() method.
     */
    public InvalidTransactionDataException(String message) {
    }
}