package it.dtt.ca.exception;

/**
 * This exception is thrown whenever a request is performed and
 * no listener is registered to get the answer.
 * 
 */
public class NoListenerAttachedException extends CAException {

    /**
     * Constructs the exception.
     */
    public NoListenerAttachedException() {
    }

    /**
     * Construct the exception with a message.
     *
     * @param message the detail message. The detail message is saved for later retrieval by the Throwable.getMessage() method.
     */
    public NoListenerAttachedException(String message) {
    }
}