package it.dtt.ca.exception;

/**
 * This exception is thrown when attempting to use the CA manager and there is no open session in place.
 * 
 */

public class NoSessionOpenedException extends CAException {

    /**
     * Constructs the exception.
     */
    public NoSessionOpenedException() {
    }

    /**
     * Construct the exception with a message.
     *
     * @param message the detail message. The detail message is saved for later retrieval by the Throwable.getMessage() method.
     */
    public NoSessionOpenedException(String message) {
    }
}