package it.dtt.ca.exception;

/**
 * This exception indicates that the indicated provider either does not exist, or is not available.
 * 
 */
public class NoSuchProviderException extends CAException {

    /**
     * Constructs the exception.
     */
    public NoSuchProviderException() {
    }

    /**
     * Construct the exception with a message.
     *
     * @param message the detail message. The detail message is saved for later retrieval by the Throwable.getMessage() method.
     */
    public NoSuchProviderException(String message) {
    }
}
