package it.dtt.ca.exception;

/**
 * This exception is used to notify that the object requesting the closing of the
 * CA session is not the same that opened it.
 * 
 */

public class OwnerUnknownException extends CAException {

    /**
     * Constructs the exception.
     */
    public OwnerUnknownException() {
    }

    /**
     * Construct the exception with a message.
     *
     * @param message the detail message. The detail message is saved for later retrieval by the Throwable.getMessage() method.
     */
    public OwnerUnknownException(String message) {
    }

}