/*
 * Created on Mar 30, 2005
 */
package it.dtt.ca.request;

import it.dtt.ca.exception.UnsupportedFeatureException;
/**
 * This class is used to request an history to the CA manager.
 * 
 */
public class HistoryRequest extends CARequest  {

    /**
     * Create an instance of HistoryRequest.
     *
     * @param historyType the type of history that is requested. The types shall be as defined in the History class.
	 * 
	 * @throws UnsupportedFeatureException in case an invalid historyType is used as parameter. Invalid means different than 
	 * PPV_HISTORY, RECHARGE_HISTORY or MESSAGE_HISTORY.
     */
    public HistoryRequest(int historyType) throws UnsupportedFeatureException {
    }

    /**
     * Get the type of History that is required.
     *
     * @return the history type. The types shall be as defined in the History class.
     * @see it.dtt.ca.history.History
     */
    public int getHistoryType() {
        return 0;
    }
}
