/*
 * Created on Apr 1, 2005
 */
package it.dtt.ca.request;

import it.dtt.ca.history.History;

/**
 * Request the update of history information.
 * This is used to permanently store an history which has been updated by the application,
 * as consequence of the user reading or disposing of certain history items.
 * This operation is independent of where physically the permanenent storage is located (STB or smart card).
 * 
 */
public class HistoryUpdateRequest extends CARequest {

    /**
     * Create an instance of HistoryUpdateRequest.
     * @param history the history that must be stored in the permanent storage.
     */
    public HistoryUpdateRequest(History history) {
    }

    /**
     * Return the modified history.
     *
     * @return the history that must be stored in the permanent storage.
     */
    public History getHistory() {
        return null;
    }
}
