/*
 * Created on Apr 1, 2005
 */
package it.dtt.ca.response;

import it.dtt.ca.request.CARequest;

/**
 * This event notifies that the submitted history has been successfully saved
 * in the permanent storage (independently of the physical location of the permanent storage).
 * 
 */
public class HistoryUpdateResponseEvent extends SuccessResponseEvent {

    /**
     * Construct an HistoryUpdateResponseEvent.
     *
     * @param request the CARequest object, that generated this response.
     */
    public HistoryUpdateResponseEvent(CARequest request) {
        super(request);
    }

}
