package it.dtt.ca.response;

/**
 * The interface is used to receive a response to a specific request.
 * 
 */
public interface ResponseListener {

    /**
     * Receives the event generated as a response to a request.
     *
     * @param event the response event.
     */
    public void responseEventReceived(ResponseEvent event);

}