package it.dtt.ca.response;

import it.dtt.ca.request.CARequest;

/**
 * Abstract class for all successful responses.
 * 
 */
public abstract class SuccessResponseEvent extends ResponseEvent {

    /**
     * Construct a SuccessResponseEvent.
     *
     * @param request the CARequest object, that generated this response.
     */
    protected SuccessResponseEvent(CARequest request) {
        super(request);
    }

}