package it.dtt.ca.event;

/**
 * The adapter for the CAListener interface.
 */
public class CAAdapter implements CAListener {
    /**
     * Default constructor
     */

    public CAAdapter() {
    }

    /**
     * Invoked when the specified event was retrieved.
     *
     * @param caAccessEvent the retrieved event
     */
    public void caAccessEventReceived(CAAccessEvent caAccessEvent) {
    }

    /**
     * Invoked when the specified event was retrieved.
     *
     * @param caProductEvent the retrieved event
     */
    public void caProductEventReceived(CAProductEvent caProductEvent) {
    }

    /**
     * Invoked when the specified event was retrieved.
     *
     * @param newMessageEvent the retrieved event
     */
    public void newMessageEventReceived(NewMessageEvent newMessageEvent) {
    }

    /**
     * Invoked when the specified event was retrieved.
     *
     * @param pinRequestEvent the retrieved event
     */
    public void pinRequestEventReceived(PinRequestEvent pinRequestEvent) {
    }

    /**
     * Invoked when the specified event was retrieved.
     *
     * @param rechargeEvent the retrieved event
     */
    public void rechargeEventReceived(RechargeEvent rechargeEvent) {
    }
}
