package it.dtt.ca.event;

/**
 * This interface provide notification of event related to slot status
 * 
 */
public interface SlotListener {
    /**
     * Receive events related to smart card insertion and removal.
     *
     * @param event the slot related event.
     * @see SlotEvent
     */
    public void slotEventReceived(SlotEvent event);
}