package it.dtt.ca.exception;

/**
 * This exception is thrown whenever access to a certain CA functionality is denied.
 * The reason may be for example because a certain resource is already allocated, or to preserve the security of the system.
 */
public class AccessDeniedException extends CAException {
    /**
     * Constructs the exception.
     */
    public AccessDeniedException() {
    }

    /**
     * Construct the exception with a message.
     *
     * @param message the detail message. The detail message is saved for later retrieval by the Throwable.getMessage() method.
     */
    public AccessDeniedException(String message) {
    }
}
