package it.dtt.ca.exception;

/**
 * Signals that an asynchronous request is already being processed.
 * This is used to avoid the complexity of handling multiple concurrent requests.
 * For implementations that only support only 
 */
public class CARequestAlreadyStartedException extends CAException {
    /**
     * Constructs the exception.
     */
    public CARequestAlreadyStartedException() {
    }

    /**
     * Construct the exception with a message.
     *
     * @param message the detail message. The detail message is saved for later retrieval by the Throwable.getMessage() method.
     */
    public CARequestAlreadyStartedException(String message) {
    }
}
