package it.dtt.ca.exception;

/**
 * This exception notifies the application that the requested operation failed
 * because the request parameters are invalid.
 */
public class InvalidRequestParametersException extends CAException {

    /**
     * Constructs the exception.
     */
    public InvalidRequestParametersException() {
    }

    /**
     * Construct the exception with a message.
     *
     * @param message the detail message. The detail message is saved for later retrieval by the Throwable.getMessage() method.
     */
    public InvalidRequestParametersException(String message) {
    }
}