package it.dtt.ca.exception;

/**
 * This exception is thrown when the application attempt to register a listener
 * and another listener is already registered for that same kind of events.
 * It is only applicable when there is a restriction in the number of allowed listeners.
 * 
 */

public class ListenerAlreadyAttachedException extends CAException {

    /**
     * Constructs the exception.
     */
    public ListenerAlreadyAttachedException() {
    }

    /**
     * Construct the exception with a message.
     *
     * @param message the detail message. The detail message is saved for later retrieval by the Throwable.getMessage() method.
     */
    public ListenerAlreadyAttachedException(String message) {
    }

}

