package it.dtt.ca.response;

import it.dtt.ca.request.*;

/**
 * This event is used to notify a response to a specific request
 * 
 */
public abstract class ResponseEvent {

    /**
     * Construct a ResponseEvent instance.
     *
     * @param request the request that originated this response.
     */
    protected ResponseEvent(CARequest request) {
    }

    /**
     * Get the specific request that generated this response. The object describing the request is exactly same instance 
	 * that originated the request process. 
     *
     * @return the request object
     */
    public CARequest getRequest() {
        return null;
    }

}